Summary: A public domain clone of the Korn shell (ksh).
Name: pdksh
Version: 5.2.14
Release: 7m
License: Public Domain
Group: System Environment/Shells
Source: ftp://ftp.cs.mun.ca/pub/pdksh/pdksh-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: /bin/ksh
NoSource: 0

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the sh
shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q

%build

%configure
make LDFLAGS=-s CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{bin,usr/bin,%{_mandir}/man1}

/usr/bin/install -s -c -m755 ksh %{buildroot}/bin/ksh
/usr/bin/install -c -m644 ksh.1 %{buildroot}%{_mandir}/man1/ksh.1
ln -sf /bin/ksh %{buildroot}/usr/bin/ksh
ln -sf /bin/ksh %{buildroot}/usr/bin/pdksh
ln -sf ksh.1 %{buildroot}%{_mandir}/man1/pdksh.1

%clean
rm -rf %{buildroot}

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
else
	if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
		echo "/bin/ksh" >> /etc/shells
	fi
fi

%postun
if [ ! -f /bin/ksh ]; then
	grep -v /bin/ksh /etc/shells > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "missing"
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS
/bin/ksh
/usr/bin/ksh
/usr/bin/pdksh
%{_mandir}/man1/*

%ChangeLog
* Fri Sep 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (5.2.14-7m)
- add Provides: /bin/ksh

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Apr 03 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (5.2.14-2)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sun Dec 19 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Jul 20 1999 Jeff Johnson <jbj@redhat.com>
- update to 5.2.14.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Jeff Johnson <jbj@redhat.com>
- glibc 2.1 doesn't init sys_siglist for 32 <= i < NSIG (#1473)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 5.2.13.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
